> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve packing detail

> Retrieve packing detail



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /shipping/shipments/{reference_number}/packing-detail
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /shipping/shipments/{reference_number}/packing-detail:
    parameters:
      - name: reference_number
        in: path
        description: Shipment reference number
        required: true
        schema:
          type: string
    get:
      tags:
        - Shipping
      summary: Retrieve packing detail
      description: Retrieve packing detail
      operationId: get-shipment-packing-detail
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      packing_detail:
                        anyOf:
                          - $ref: '#/components/schemas/ManualPackingDetail'
                          - $ref: '#/components/schemas/AutoPackingDetail'
                    type: object
components:
  schemas:
    ManualPackingDetail:
      title: ManualPackingDetail
      type: object
      properties:
        packing_option:
          enum:
            - manual
        total_boxes:
          type: integer
        total_weight:
          type: number
        boxes:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentBox'
    AutoPackingDetail:
      title: AutoPackingDetail
      type: object
      properties:
        packing_option:
          enum:
            - auto
        total_boxes:
          type: integer
        items_weight:
          type: number
        packing_bin_weight:
          type: number
        total_weight:
          type: number
        json_data:
          description: json data of 3dbin packing.
          type:
            - object
            - 'null'
    ShipmentBox:
      title: ShipmentBox
      type: object
      properties:
        box_name:
          type: string
        box_length:
          type: number
        box_width:
          type: number
        box_height:
          type: number
        box_weight:
          type: number
        items_count:
          type:
            - integer
            - 'null'
        box_count:
          type:
            - integer
            - 'null'
      x-tags:
        - Shipping
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````